package com.bokecc.livemodule.view.gift;

import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;

import com.bokecc.livemodule.view.gift.interfaces.GiftCallBack;

public class BigImageQueeuHandler extends BaseQueueHandler{
    public BigImageQueeuHandler(GiftCallBack giftCallBack) {
        super(giftCallBack);
    }

    @Override
    public void initGiftView() {
        for (int i =0;i<line;i++){
            GiftAnimBottomCenterView giftAnimView = new GiftAnimBottomCenterView(viewGroup.getContext());
            viewGroup.addView(giftAnimView);
            giftAnimView.setShowHead(isShowHead);
            giftAnimView.setShowNum(isShowNum);
            giftAnimView.setiGiftController(this);
            if (i!=0){
                LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT);
                layoutParams.topMargin = (int) space;
                giftAnimView.setLayoutParams(layoutParams);
            }
            giftAnimView.setVisibility(View.INVISIBLE);

            list.add(giftAnimView);
        }
    }

    @Override
    protected int getMaxCount() {
        return 10;
    }
}
